API Reference2026-02-18 (Latest)Gateway
Get payment options
POST
header
Api-Key<token>id*stringPayment ID
includePaymentInfo?|Whether to include payment information in the response
Api-Key?string|nullApp-Id?string|nullClient-Id?string|nullWCP-Version?string|nullSdk-Name?string|nullSdk-Version?string|nullSdk-Platform?string|nullapplication/json- body
accounts*array<string>refresh?array<string>|nullPayment options retrieved successfully
application/json- response
collectData?null|info?null|options?array<>|nullcurl -X POST 'https://api.pay.walletconnect.com/v1/gateway/payment/pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV/options' \ -H 'Content-Type: application/json' \ -d '{ "accounts": [ "string" ]}'{ "collectData": null, "info": null, "options": [ { "account": "string", "actions": [ { "data": { "chain_id": "string", "method": "string", "params": [ null ] }, "type": "walletRpc" } ], "amount": { "display": { "assetName": "string", "assetSymbol": "string", "decimals": 0, "iconUrl": "string", "networkIconUrl": "string", "networkName": "string" }, "unit": "string", "value": "string" }, "collectData": null, "etaS": 0, "expiresAt": 0, "id": "string" } ]}